org.apache.ignite.hadoop

## Interface HadoopMapReducePlanner

    public interface HadoopMapReducePlanner

Map-reduce execution planner.

### Method Summary

All Methods Instance Methods Abstract Methods
`HadoopMapReducePlan` `preparePlan(HadoopJob job, Collection<ClusterNode> top, HadoopMapReducePlan oldPlan)` Prepares map-reduce execution plan for the given job and topology.

### Method Detail

#### preparePlan

    HadoopMapReducePlan preparePlan(HadoopJob job,
                                    Collection<ClusterNode> top,
                                    @Nullable
                                    HadoopMapReducePlan oldPlan)
                             throws IgniteCheckedException

Prepares map-reduce execution plan for the given job and topology.

Parameters:
  `job` - Job.
  `top` - Topology.
  `oldPlan` - Old plan in case of partial failure.
Returns:
  Map reduce plan.
Throws:
  `IgniteCheckedException` - If an error occurs.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019